| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
Link Class Reference
PDF » annots

Link annot object. More...

Inheritance diagram for Link:

## Public Member Functions
| getAction ()
| Get link's action. More...
| getHighlightingMode ()
| Get link's highlight mode. More...
| removeAction (trigger=-1, action, isObjectNumber=false)
| Remove link's action. More...
| setAction (action, trigger=actionType.AnnotMouseButtonReleased, append)
| Set link's action. More...
| setHighlightingMode (highlightingMode)
| Set link's highlight mode. More...
Public Member Functions inherited from Annot
| appendAction (actionSpec)
| Appends a action to the annotation. This function cannot be used to append action which is used as additional action. More...
| exportToJSON ()
| Export the current annotation to a Json object. [Support in Server] More...
| getActionData ()
| Retrieves the action associated with this annotation. This function cannot be used to get action which is used as additional action. More...
| getAllActionData ()
| Gets all action data associated with the annotation. This method retrieves all action data including both primary and additional actions of the annotation. The action will be grouped by action trigger type: ActionTriggerEvents.ANNOT_MOUSE_BUTTON_RELEASED. More...
| getAnnotId ()
| Retrieves the unique identifier of the annotation. The identifier consists of two components: the page index and the object number, which together ensure the annotation's uniqueness within the document. More...
| getBorderColor ()
| Get annotation's border color. [Support in Server] More...
| getBorderInfo ()
| Get annotation's border information. [Support in Server] More...
| getBorderStyle ()
| Get annotation's border style. More...
| getContent ()
| Get annotation's contents. [Support in Server] More...
| getDictionaryEntry (key)
| Get the dictionary property of Annot by key. More...
| getFlags ()
| Get annotation's flag. [Support in Server] More...
| getModifiedDateTime ()
| Get annotation's last modified date time. [Support in Server] More...
| getObjectNumber ()
| Get annotation's object number. More...
| getPage ()
| Get annotation's page. [Support in Server] More...
| getRect ()
| Get annotation's rect. [Support in Server] More...
| getTitle ()
| Get annotation's title. [Support in Server] More...
| getType ()
| Get annotation's type. [Support in Server] More...
| getUniqueID ()
| Get annotation's unique ID. [Support in Server] More...
| isEmpty ()
| Check annotation is empty or not. [Support in Server] More...
| isMarkup ()
| Check if current annotation is a markup annotation. [Support in Server] More...
| removeAction (actionObjNumber)
| Removes a action from the annotation. This function cannot be used to remove action which is used as additional action. More...
| setAction (actionSpec)
| Set the action for the annotation. This function cannot be used to set action which is used as additional action. More...
| setBorderColor (borderColor)
| Set annotation's border color. [Support in Server] More...
| setBorderInfo (borderInfo)
| Set annotation's border information. [Support in Server] More...
| setBorderStyle (borderStyle, styleParam)
| Set annotation's border style. More...
| setContent (content)
| Set contents for the currently gotten annotation. [Support in Server] More...
| setCustomAPStream (appearanceType, appearanceStream)
| setDictionaryEntry (key, value)
| Add a new entry or replace the existing entry of the annotation dictionary. Caller could use this method to store their private data to the annotation. Do not use any standard key of the annotation dictionary, such as 'Type', 'Subtype', 'Rect' defined in PDF Reference. If any standard key is used, this behaviour will be undefined. More...
| setFlags (flag, notTriggerEvent)
| Set annotation's flag. [Support in Server] More...
| setModifiedDateTime (date)
| Set annotation's last modified date time. [Support in Server] More...
| setRect (rect)
| Set annotation's rect. More...
| supportsAction ()
| This method checks the annotation type and returns true if the type is screen, link or sound annotation, Indicating that are supports actions. For other types of annotation, it returns false. More...
| updateAction (actionObjNumber, actionData)
| Updates an existing action in the annotation. This function cannot be used to update action which is used as additional action. More...
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...

## Detailed Description

Link annot object.

## Member Function Documentation

## ◆ getAction()

Link::getAction | ( |  | ) |
| inline

Get link's action.

Returns
  Action - An action object.

## ◆ getHighlightingMode()

Link::getHighlightingMode | ( |  | ) |
| inline

Get link's highlight mode.

Returns
  number - An integer indicating highlight mode. Please refer to Highlight_Mode.

## ◆ removeAction()

Link::removeAction | ( |  | trigger = `-1`,
|  |  | action,
|  |  | isObjectNumber = `false`
| ) |  |
| inline

Remove link's action.

Parameters

  [trigger=-1] | number - The trigger parameter. If `isObjectNumber` is true, represents the object number of action to remove. If `isObjectNumber` is false, represents the trigger event type.
  [action] | Action - The action to be removed. If first parameter is an object number, this parameter is not required.
  [isObjectNumber=false] | boolean - Whether the first parameter is an object number. If true, it will call the base class's removeAction method.

Returns
  Promise<boolean> - A boolean value indicating whether the action was successfully removed.

Deprecated:
  - For removing additional actions purpose, please use AdditionalAction<T>.removeAction instead
  - For removing action purpose, you must pass the `trigger` parameter as an object number and set `isObjectNumber` to true.
    In the future, this method will be simplified to remove actions only, and no additional parameters will be required.

Note
  For historical reasons, since version 11.0.0, this method add a new parameter `isObjectNumber` to determine whether the first parameter is an object number,
  if it is, it will call the Annot.removeAction method to remove the action with the object number,
  otherwise it will remove an additional action with specified trigger and Action instance.
  The `isObjectNumber` parameter is used for API compatibility, it is not used for removing additional actions.
  - To remove an action, you must pass the `trigger` parameter as an object number and set `isObjectNumber` to true.
    The `action` parameter should be omitted (pass null).
    Example:
    // Remove an action with object number 0
    linkAnnot.removeAction(0, null, true);
  - To remove an additional action, you should use AdditionalAction<T>.removeAction method, this method is only used internally.

See also
  AdditionalAction<T>.removeAction
  Annot.removeAction
  Annot.getActionData

## ◆ setAction()

Link::setAction | ( |  | action,
|  |  | trigger = `actionType.AnnotMouseButtonReleased`,
|  |  | append
| ) |  |
| inline

Set link's action.

setAction(action: Action, trigger: number, append: boolean):Promise<boolean>; setAction(action: ActionSpecification):Promise<void>;

Parameters

  action | Action|ActionSpecification - If Action type, sets as new action. If ActionSpecification type, calls parent class setAction and the second & third parameters are not required.
  [trigger=actionType.AnnotMouseButtonReleased] | number - The trigger event type for the action
  [append] | boolean - Whether to append this action to existing actions

Returns
  Promise<boolean|undefined> - A boolean value indicating the success or failure. If the first parameter is ActionSpecification, the return value is undefined.

## ◆ setHighlightingMode()

Link::setHighlightingMode | ( |  | highlightingMode | ) |
| inline

Set link's highlight mode.

Parameters

  highlightingMode | number - An integer indicating highlight mode. Please refer to Highlight_Mode.

Returns
  Promise<void>

@2026 Foxit Software Incorporated. All rights reserved.